## libksquirrel-trinity 14.1.1

=== kernel/kls_fig/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_FIG
  -DXFIG_S="${BIN_INSTALL_DIR}/ksquirrel-libs-fig2ppm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_fig SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

configure_file( ksquirrel-libs-fig2ppm.cmake ksquirrel-libs-fig2ppm @ONLY )
INSTALL(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-fig2ppm
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kernel/kls_leaf/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_NETPBM
  -DCODEC_LEAF
  -DNETPBM_S="${BIN_INSTALL_DIR}/ksquirrel-libs-leaf2ppm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_leaf SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

configure_file( ksquirrel-libs-leaf2ppm.cmake ksquirrel-libs-leaf2ppm @ONLY )
INSTALL(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-leaf2ppm
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kernel/kls_utah/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_NETPBM
  -DCODEC_UTAH
  -DNETPBM_S="${BIN_INSTALL_DIR}/ksquirrel-libs-utah2ppm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_utah SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

configure_file( ksquirrel-libs-utah2ppm.cmake ksquirrel-libs-utah2ppm @ONLY )
INSTALL(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-utah2ppm
  DESTINATION ${BIN_INSTALL_DIR}
)

## libksquirrel-trinity 3.5.13.2

=== debian/changelog ===
libksquirrel-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 07 Jun 2013 02:39:41 +0200

libksquirrel-trinity (0.8.0-1ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Oct 2009 16:21:00 -0600

libksquirrel (0.8.0-0ubuntu4) intrepid; urgency=low

  * debian/patches/001_missing_declarations.patch: drop an extraneous change
    that snuck in while trying to test-build on amd64, which in turn breaks
    the build on 32-bit systems that this package currently supports.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 29 Sep 2008 16:20:23 -0700

libksquirrel (0.8.0-0ubuntu3) intrepid; urgency=low

  * debian/patches/001_missing_declarations.patch: fix a build failure
    due to missing #includes for C functions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 29 Sep 2008 18:29:36 +0000

libksquirrel (0.8.0-0ubuntu2) intrepid; urgency=low

  * No-change rebuild against libopenexr6.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 29 Sep 2008 11:38:13 +0000

libksquirrel (0.8.0-0ubuntu1) hardy; urgency=low

  * Initial release (LP: #172740)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 18 Nov 2007 23:36:24 +0100

=== debian/control ===
Source: libksquirrel-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 5), cdbs, pkg-config, libmng-dev,librsvg2-bin,
 medcon, libjasper-dev, libungif4-dev, libwmf-dev, libopenexr-dev,
 djvulibre-bin, transfig, x11proto-core-dev, netpbm, libtiff-dev,
 libkonq4-trinity-dev, kipi-plugins-trinity, libkipi0-trinity-dev, quilt, build-essential,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homagepage: http://ksquirrel.sourceforge.net

Package: libksquirrel0-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: Trinity image viewer
 Runtime libraries for KSquirrel.

Package: libksquirrel-trinity-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
Description: Trinity image viewer
 Development libraries for KSquirrel.

Package: libksquirrel-tools-trinity
Architecture: any
Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
Description: Trinity image viewer
 Tools for KSquirrel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: configure
	dh_testdir

configure:
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/trinity --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-rpath 
# Tricks for Intrepid
#--disable-kexif --enable-mt --x-includes=/usr/include/qt4/Qt

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ksquirrel.sgml > ksquirrel.1

	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ksquirrel.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/ksquirrel/ksquirrel-libs-(.+).tar.bz2

## libksquirrel-trinity 14.0.4

=== debian/changelog ===
libksquirrel-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 12:52:43 +0200

## libksquirrel-trinity 14.0.5

=== debian/changelog ===
libksquirrel-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 06:38:51 +0200

=== debian/control ===
Source: libksquirrel-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), cdbs, pkg-config, libmng-dev,librsvg2-bin,
 medcon, libjasper-dev, libgif-dev, libwmf-dev, libopenexr-dev,
 djvulibre-bin, transfig, x11proto-core-dev, netpbm, libtiff-dev,
 libkonq4-trinity-dev, kipi-plugins-trinity, libkipi0-trinity-dev, quilt, build-essential,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homagepage: http://ksquirrel.sourceforge.net

Package: libksquirrel0-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libksquirrel0-kde3 (<< 4:14.0.0~), libksquirrel0-trinity (<< 4:14.0.0~)
Breaks: libksquirrel0-kde3 (<< 4:14.0.0~), libksquirrel0-trinity (<< 4:14.0.0~)
Description: Trinity image viewer
 Runtime libraries for KSquirrel.

Package: libksquirrel-trinity-dev
Section: libdevel
Architecture: any
Replaces: libksquirrel-kde3-dev (<< 4:14.0.0~), libksquirrel-trinity-dev (<< 4:14.0.0~)
Breaks: libksquirrel-kde3-dev (<< 4:14.0.0~), libksquirrel-trinity-dev (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
Description: Trinity image viewer
 Development libraries for KSquirrel.

Package: libksquirrel-tools-trinity
Architecture: any
Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
Replaces: libksquirrel-tools-kde3 (<< 4:14.0.0~), libksquirrel-tools-trinity (<< 4:14.0.0~)
Breaks: libksquirrel-tools-kde3 (<< 4:14.0.0~), libksquirrel-tools-trinity (<< 4:14.0.0~)
Description: Trinity image viewer
 Tools for KSquirrel.

## libksquirrel-trinity 14.0.6

=== debian/changelog ===
libksquirrel-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 00:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
 Package: libksquirrel0-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: libksquirrel0-kde3 (<< 4:14.0.0~), libksquirrel0-trinity (<< 4:14.0.0~)
-Breaks: libksquirrel0-kde3 (<< 4:14.0.0~), libksquirrel0-trinity (<< 4:14.0.0~)
+Replaces: libksquirrel0-trinity (<< 4:14.0.0~)
+Breaks: libksquirrel0-trinity (<< 4:14.0.0~)
 Description: Trinity image viewer
  Runtime libraries for KSquirrel.
 
 Package: libksquirrel-trinity-dev
 Section: libdevel
 Architecture: any
-Replaces: libksquirrel-kde3-dev (<< 4:14.0.0~), libksquirrel-trinity-dev (<< 4:14.0.0~)
-Breaks: libksquirrel-kde3-dev (<< 4:14.0.0~), libksquirrel-trinity-dev (<< 4:14.0.0~)
+Replaces: libksquirrel-trinity-dev (<< 4:14.0.0~)
+Breaks: libksquirrel-trinity-dev (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
 Description: Trinity image viewer
  Development libraries for KSquirrel.
@@ -31,7 +31,7 @@
 Package: libksquirrel-tools-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
-Replaces: libksquirrel-tools-kde3 (<< 4:14.0.0~), libksquirrel-tools-trinity (<< 4:14.0.0~)
-Breaks: libksquirrel-tools-kde3 (<< 4:14.0.0~), libksquirrel-tools-trinity (<< 4:14.0.0~)
+Replaces: libksquirrel-tools-trinity (<< 4:14.0.0~)
+Breaks: libksquirrel-tools-trinity (<< 4:14.0.0~)
 Description: Trinity image viewer
  Tools for KSquirrel.

## libksquirrel-trinity 14.0.8

=== debian/changelog ===
libksquirrel-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:42:12 +0200

## libksquirrel-trinity 14.0.9

=== debian/changelog ===
libksquirrel-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:56:58 +0200

## libksquirrel-trinity 14.0.10

=== debian/changelog ===
libksquirrel-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## libksquirrel-trinity 14.0.11

=== debian/changelog ===
libksquirrel-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Oct 2021 18:55:18 +0200

## libksquirrel-trinity 14.0.12

=== debian/changelog ===
libksquirrel-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:24:06 +0100

## libksquirrel-trinity 14.0.13

=== debian/changelog ===
libksquirrel-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Sep 2022 11:21:19 +0200

## libksquirrel-trinity 14.1.0

=== debian/changelog ===
libksquirrel-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:16:19 +0100

## libksquirrel-trinity 14.1.1

=== debian/changelog ===
libksquirrel-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 23 Oct 2023 07:14:07 +0200

## libksquirrel-trinity 14.1.2

=== kernel/kls_tiff/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DTIFF_UI="${SHARE_INSTALL_PREFIX}/ksquirrel-libs/libkls_tiff.so.ui"
)


##### codecs

tde_add_library( kls_tiff SHARED AUTOMOC
  SOURCES fmt_codec_tiff.cpp
  LINK ksquirrel-libs-shared ${TIFF_LIBRARY}
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

install(
  FILES libkls_tiff.so.ui
  DESTINATION ${SHARE_INSTALL_PREFIX}/ksquirrel-libs
)

=== debian/changelog ===
libksquirrel-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 18 Apr 2024 02:12:36 +0200

=== debian/control ===
Source: libksquirrel-trinity
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  netpbm, libiconv-hook-dev, liblcms1-dev, libjpeg-dev, libjasper-dev,
  libgif-dev, libtiff-dev, djvulibre-bin, fig2dev | transfig, libmng-dev, libwmf-dev,
  libopenexr-dev, medcon, librsvg2-bin, ghostscript, x11proto-core-dev,
Standards-Version: 3.8.4

Package: libksquirrel0-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libksquirrel0-kde3 (<< 4:14.0.0~), libksquirrel0-trinity (<< 4:14.0.0~)
Breaks: libksquirrel0-kde3 (<< 4:14.0.0~), libksquirrel0-trinity (<< 4:14.0.0~)
Description: Trinity image viewer
 Runtime libraries for KSquirrel.

Package: libksquirrel-trinity-dev
Section: libdevel
Architecture: any
Replaces: libksquirrel-kde3-dev (<< 4:14.0.0~), libksquirrel-trinity-dev (<< 4:14.0.0~)
Breaks: libksquirrel-kde3-dev (<< 4:14.0.0~), libksquirrel-trinity-dev (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
Description: Trinity image viewer
 Development libraries for KSquirrel.

Package: libksquirrel-tools-trinity
Architecture: any
Depends: ${shlibs:Depends}, libksquirrel0-trinity (= ${binary:Version})
Replaces: libksquirrel-tools-kde3 (<< 4:14.0.0~), libksquirrel-tools-trinity (<< 4:14.0.0~)
Breaks: libksquirrel-tools-kde3 (<< 4:14.0.0~), libksquirrel-tools-trinity (<< 4:14.0.0~)
Description: Trinity image viewer
 Tools for KSquirrel.

## libksquirrel-trinity 14.1.3

=== debian/changelog ===
libksquirrel-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 01 Oct 2024 09:21:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DBUILD_PICT="OFF" \
 -DWITH_ALL_OPTIONS="ON"

## libksquirrel-trinity 14.1.4

=== debian/changelog ===
libksquirrel-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## libksquirrel-trinity 14.1.5~pre0

=== debian/changelog ===
libksquirrel-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for f5b49a52fc61ed1c745dcb77e3024ee4024642db
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libksquirrel-trinity 14.1.5

=== kernel/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
)


##### install files

install(
  DIRECTORY include/ksquirrel-libs/
  DESTINATION ${INCLUDE_INSTALL_DIR}/ksquirrel-libs/
)


##### main ksquirrel-lib
file( GLOB _lib_cpp_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/ksquirrel-libs/*.cpp )
tde_add_library( ksquirrel-libs SHARED AUTOMOC
  SOURCES ${_lib_cpp_files}
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### common codecs

function( conditional_build_codec _cond _codec )
  if( ${_cond} )
    file( GLOB _codec_cpp_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${_codec}/*.cpp )
    tde_add_library( ${_codec} SHARED AUTOMOC
      SOURCES ${_codec_cpp_files}
      LINK ksquirrel-libs-shared
      VERSION 0.8.0
      DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
    )
  endif( )
endfunction( )

conditional_build_codec( BUILD_AVS    kls_avs    )
conditional_build_codec( BUILD_BMP    kls_bmp    )
conditional_build_codec( BUILD_CUT    kls_cut    )
conditional_build_codec( BUILD_DDS    kls_dds    )
conditional_build_codec( BUILD_FLI    kls_fli    )
conditional_build_codec( BUILD_HDR    kls_hdr    )
conditional_build_codec( BUILD_ICO    kls_ico    )
conditional_build_codec( BUILD_KOALA  kls_koala  )
conditional_build_codec( BUILD_LIF    kls_lif    )
conditional_build_codec( BUILD_MDL    kls_mdl    )
conditional_build_codec( BUILD_MTV    kls_mtv    )
conditional_build_codec( BUILD_PCX    kls_pcx    )
conditional_build_codec( BUILD_PIX    kls_pix    )
conditional_build_codec( BUILD_PNM    kls_pnm    )
conditional_build_codec( BUILD_PSD    kls_psd    )
conditional_build_codec( BUILD_PSP    kls_psp    )
conditional_build_codec( BUILD_PXR    kls_pxr    )
conditional_build_codec( BUILD_RAS    kls_ras    )
conditional_build_codec( BUILD_RAWRGB kls_rawrgb )
conditional_build_codec( BUILD_SCT    kls_sct    )
conditional_build_codec( BUILD_SGI    kls_sgi    )
conditional_build_codec( BUILD_SUN    kls_sun    )
conditional_build_codec( BUILD_TGA    kls_tga    )
conditional_build_codec( BUILD_WAL    kls_xbm    )
conditional_build_codec( BUILD_WBMP   kls_wbmp   )
conditional_build_codec( BUILD_XBM    kls_wal    )
conditional_build_codec( BUILD_XCUR   kls_xcur   )


# other codecs

if( BUILD_DICOM OR BUILD_PNG OR BUILD_SVG )
  add_subdirectory( ksquirrel-libs-png )
endif( )

tde_conditional_add_subdirectory( BUILD_CAMERA    kls_camera   )
tde_conditional_add_subdirectory( BUILD_DICOM     kls_dicom    )
tde_conditional_add_subdirectory( BUILD_DJVU      kls_djvu     )
tde_conditional_add_subdirectory( BUILD_DXF       kls_dxf      )
tde_conditional_add_subdirectory( BUILD_EPS       kls_eps      )
tde_conditional_add_subdirectory( BUILD_FIG       kls_fig      )
tde_conditional_add_subdirectory( BUILD_GIF       kls_gif      )
tde_conditional_add_subdirectory( BUILD_IFF       kls_iff      )
tde_conditional_add_subdirectory( BUILD_JBIG      kls_jbig     )
tde_conditional_add_subdirectory( BUILD_JPEG2000  kls_jpeg2000 )
tde_conditional_add_subdirectory( BUILD_JPEG      kls_jpeg     )
tde_conditional_add_subdirectory( BUILD_LEAF      kls_leaf     )
tde_conditional_add_subdirectory( BUILD_LJPEG     kls_ljpeg    )
tde_conditional_add_subdirectory( BUILD_MAC       kls_mac      )
tde_conditional_add_subdirectory( BUILD_MNG       kls_mng      )
tde_conditional_add_subdirectory( BUILD_MSP       kls_msp      )
tde_conditional_add_subdirectory( BUILD_NEO       kls_neo      )
tde_conditional_add_subdirectory( BUILD_OPENEXR   kls_openexr  )
tde_conditional_add_subdirectory( BUILD_PI1       kls_pi1      )
tde_conditional_add_subdirectory( BUILD_PI3       kls_pi3      )
tde_conditional_add_subdirectory( BUILD_PICT      kls_pict     )
tde_conditional_add_subdirectory( BUILD_PNG       kls_png      )
tde_conditional_add_subdirectory( BUILD_SVG       kls_svg      )
tde_conditional_add_subdirectory( BUILD_TIFF      kls_tiff     )
tde_conditional_add_subdirectory( BUILD_TTF       kls_ttf      )
tde_conditional_add_subdirectory( BUILD_UTAH      kls_utah     )
tde_conditional_add_subdirectory( BUILD_WMF       kls_wmf      )
tde_conditional_add_subdirectory( BUILD_XCF       kls_xcf      )
tde_conditional_add_subdirectory( BUILD_XIM       kls_xim      )
tde_conditional_add_subdirectory( BUILD_XPM       kls_xpm      )
tde_conditional_add_subdirectory( BUILD_XWD       kls_xwd      )

=== kernel/kls_dicom/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_DICOM
  -DDICOM="${BIN_INSTALL_DIR}/ksquirrel-libs-dicom2png"
)


##### codecs

tde_add_library( kls_dicom SHARED AUTOMOC
  SOURCES fmt_codec_png.cpp
  LINK ksquirrel-libs-shared ksquirrel-libs-png-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

configure_file( ksquirrel-libs-dicom2png.cmake ksquirrel-libs-dicom2png @ONLY )
install(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-dicom2png
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kernel/kls_djvu/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DDJVU_UI="${SHARE_INSTALL_PREFIX}/ksquirrel-libs/libkls_djvu.so.ui"
  -DCODEC_DJVU
  -DCODEC_ANOTHER
  -DDJVU="${DJVU_COMMAND}"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_djvu SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

install(
  FILES libkls_djvu.so.ui
  DESTINATION ${SHARE_INSTALL_PREFIX}/ksquirrel-libs
)

=== kernel/kls_eps/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)

add_definitions(
  -DCODEC_EPS
  -DEPS2PPM="${EPS_COMMAND}"
)


##### codecs

tde_add_library( kls_eps SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared ${MATH_LIBC}
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)

=== kernel/kls_fig/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 ##### other data
 
 configure_file( ksquirrel-libs-fig2ppm.cmake ksquirrel-libs-fig2ppm @ONLY )
-INSTALL(
+install(
   PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-fig2ppm
   DESTINATION ${BIN_INSTALL_DIR}
 )

=== kernel/kls_gif/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


##### codecs

tde_add_library( kls_gif SHARED AUTOMOC
  SOURCES fmt_codec_gif.cpp
  LINK ksquirrel-libs-shared ${GIF_LIBRARIES}
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)

=== kernel/kls_leaf/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 ##### other data
 
 configure_file( ksquirrel-libs-leaf2ppm.cmake ksquirrel-libs-leaf2ppm @ONLY )
-INSTALL(
+install(
   PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-leaf2ppm
   DESTINATION ${BIN_INSTALL_DIR}
 )

=== kernel/kls_mac/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_NETPBM
  -DCODEC_MAC
  -DNETPBM_S="${BIN_INSTALL_DIR}/ksquirrel-libs-mac2ppm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_mac SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

configure_file( ksquirrel-libs-mac2ppm.cmake ksquirrel-libs-mac2ppm @ONLY )
install(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-mac2ppm
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kernel/kls_msp/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


##### codecs

tde_add_library( kls_msp SHARED AUTOMOC
  SOURCES fmt_codec_msp.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)

=== kernel/kls_neo/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_NETPBM
  -DCODEC_NEO
  -DNETPBM_S="${BIN_INSTALL_DIR}/ksquirrel-libs-neo2ppm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_neo SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

configure_file( ksquirrel-libs-neo2ppm.cmake ksquirrel-libs-neo2ppm @ONLY )
install(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-neo2ppm
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kernel/kls_openexr/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
  ${OPENEXR_INCLUDE_DIRS}
)


##### codecs

tde_add_library( kls_openexr SHARED AUTOMOC
  SOURCES fmt_codec_openexr.cpp
  LINK ksquirrel-libs-shared ${OPENEXR_LIBRARIES}
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)

=== kernel/kls_pi1/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DCODEC_NETPBM
  -DCODEC_PI1
  -DNETPBM_S="${BIN_INSTALL_DIR}/ksquirrel-libs-pi12ppm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_pi1 SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

configure_file( ksquirrel-libs-pi12ppm.cmake ksquirrel-libs-pi12ppm @ONLY )
install(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ksquirrel-libs-pi12ppm
  DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
libksquirrel-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libksquirrel-trinity 14.1.6~pre0

=== debian/changelog ===
libksquirrel-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f5b49a52fc61ed1c745dcb77e3024ee4024642db
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libksquirrel-trinity 14.1.6~pre1

=== debian/changelog ===
libksquirrel-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dd6b928a07443a22ffa2b04327e38354542ae3f7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:41:55 +0100

## libksquirrel-trinity 14.2.0~pre27

=== debian/changelog ===
libksquirrel-trinity (4:14.2.0~pre27-0ubuntu18.04.0+7) bionic; urgency=low

  * Automated git build for 57eef5d4f29934eed4d01f830dcfa0707a067f0e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 # -*- makefile -*-
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \

## libksquirrel-trinity 14.2.0~pre28

=== debian/changelog ===
libksquirrel-trinity (4:14.2.0~pre28-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 620b3e0283aeb74a8c091ce9887246e8f04a25f6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:22:01 +0100
